Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.validation
Class LiveValidationProvider

    java.lang.Object
      org.makumba.forms.validation.LiveValidationProvider

All Implemented Interfaces:
  Serializable, ClientsideValidationProvider

    public class LiveValidationProvider

extends Object
implements ClientsideValidationProvider, Serializable

This class implements java-script based client side validation using the LiveValidation library. For more details, please refer to the webpage at http://www.livevalidation.com/.

Version:
  $Id: LiveValidationProvider.java,v 1.1 15.09.2007 13:32:07 Rudolf Mayer Exp $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Constructor Summary
`LiveValidationProvider()`

Method Summary
`StringBuffer` | `getClientValidation(boolean validateLive)` Returns the result of the initialisation, surrounded by a `<script>` tag.
`String[]` | `getNeededJavaScriptFileNames()` Return an array of file names to libraries that shall be included.
`StringBuffer` | `getOnSubmitValidation(boolean validateLive)` returns the call for the onSubmit validation, e.g.
`void` | `initField(String inputName, String formIdentifier, FieldDefinition fieldDefinition, boolean validateLive)` Initialises a field, basically does create the variables and calls for this field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiveValidationProvider

    public LiveValidationProvider()

Method Detail

### initField

    public void initField(String inputName,
                          String formIdentifier,
                          FieldDefinition fieldDefinition,
                          boolean validateLive)

  Initialises a field, basically does create the variables and calls for this field.

  Specified by:
    `initField` in interface `ClientsideValidationProvider`

### getClientValidation

    public StringBuffer getClientValidation(boolean validateLive)

  Returns the result of the initialisation, surrounded by a `<script>` tag.

  Specified by:
    `getClientValidation` in interface `ClientsideValidationProvider`

### getOnSubmitValidation

    public StringBuffer getOnSubmitValidation(boolean validateLive)

  returns the call for the onSubmit validation, e.g.:
  `function(e) { return LiveValidation.massValidate( [emailValidation, weightValidation, hobbiesValidation, ageValidation] );`

  Specified by:
    `getOnSubmitValidation` in interface `ClientsideValidationProvider`

### getNeededJavaScriptFileNames

    public String[] getNeededJavaScriptFileNames()

  Description copied from interface: `ClientsideValidationProvider`
  Return an array of file names to libraries that shall be included. Makumba could check via page analysis `MakumbaJspAnalyzer` if the libraries are already included by the programmer, and add them if needed.

  Specified by:
    `getNeededJavaScriptFileNames` in interface `ClientsideValidationProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20